
export {
  APP_GUARD,
  APP_PIPE,
  APP_INTERCEPTOR,
  APP_FILTER,
  REQUEST,
  INQUIRER,
  NestFactory,
  ModuleRef,
  NestApplication,
  NestApplicationContext,
  Reflector,
  BaseExceptionFilter,
  NestContainer,
} from '@nestjs/core';

export {
  Module,
  Controller,
  UseGuards,
  UseInterceptors,
  UsePipes,
  CanActivate,
  ExecutionContext,
  Inject,
  Injectable,
  Logger,
  HttpException,
  CallHandler,
  NestInterceptor,
  OnApplicationBootstrap,
  OnApplicationShutdown,
  BeforeApplicationShutdown,
  OnModuleInit,
  OnModuleDestroy,
  DynamicModule,
  Provider,
  INestApplication,
  INestApplicationContext,
  INestMicroservice,
  BadGatewayException,
  BadRequestException,
  ForbiddenException,
  InternalServerErrorException,
  HttpStatus,
  ShutdownSignal,
  RpcExceptionFilter,
  ValidationPipe,
  // ValidationError,
  ValidationPipeOptions,
  DefaultValuePipe,
  ValueProvider,
  PipeTransform,
  ParseBoolPipeOptions,
  ParseEnumPipeOptions,
  ParseFloatPipeOptions,
  ParseIntPipeOptions,
  ParseUUIDPipeOptions,
  Get,
  Post,
  Put,
  Req,
  All,
  Res,
  Ip,
  Global,
  Sse,
  Bind,
  Body,
  Param,
  Patch,
  Head,
  Header,
  Headers,
  applyDecorators,
  ClassSerializerInterceptor,
  assignMetadata,
  Catch,
  ConflictException,
  ConsoleLogger,
  createParamDecorator,
  Delete,
  Dependencies,
  VersioningType,
  VersioningOptions,
  VERSION_NEUTRAL,
  Version,
  UseFilters,
  UploadedFiles,
  UnsupportedMediaTypeException,
  UnprocessableEntityException,
  UploadedFile,
  UnauthorizedException,
  StreamableFile,
  SetMetadata,
  Session,
  SerializeOptions,
  ServiceUnavailableException,
  Scope,
  Response,
  RequestTimeoutException,
  RequestMethod,
  RequestMapping,
  Render,
  Redirect,
  Query,
  Request,
  PreconditionFailedException,
  PayloadTooLargeException,
  ParseUUIDPipe,
  ParseEnumPipe,
  ParseIntPipe,
  ParseBoolPipe,
  ParseFloatPipe,
  Options,
  Optional,
  NotImplementedException,
  ParseArrayPipe,
  NotFoundException,
  Next,
  mixin,
  NotAcceptableException,
  GoneException,
  MethodNotAllowedException,
  flatten,
  forwardRef,
  HostParam,
  GatewayTimeoutException,
  HttpCode,
  HttpVersionNotSupportedException,
  ImATeapotException,
  MisdirectedException,
} from '@nestjs/common';

//export * from '@nestjs/axios';

export * as env from 'env-var';

export {
  isUndefined,
  isNil,
  isConstructor,
  isFunction,
  isPlainObject,
  isSymbol,
} from '@nestjs/common/utils/shared.utils';

//export * from '@nestjs/microservices';
export { registerAs, ConfigType } from '@nestjs/config';
export * from '@nestjs/schedule';
export * from '@nestjs/swagger';

// validations exports
export * from 'class-transformer';
export * from 'class-validator';

// redis exports
export { default as ioredis } from 'ioredis';

export { default as cacheManager } from 'cache-manager';
export { default as redisStore } from 'cache-manager-ioredis';
